Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156826 - virtual console switching gets DPMS suspend only
Summary: virtual console switching gets DPMS suspend only
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mingetty
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 15:08 UTC by John Reiser
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-10 13:57:24 UTC


Attachments (Terms of Use)
/etc/X11/xorg.conf (deleted)
2005-08-13 14:22 UTC, John Reiser
no flags Details
/var/log/Xorg.0.log (deleted)
2005-08-13 14:23 UTC, John Reiser
no flags Details
xorg.conf.ubuntu (deleted)
2005-08-13 14:41 UTC, John Reiser
no flags Details
Xorg.0.log.ubuntu (deleted)
2005-08-13 14:42 UTC, John Reiser
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 3280 None None None Never

Description John Reiser 2005-05-04 15:08:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
[PowerPC Mac mini]  Attempting to switch from X11 graphical console to character virtual console via Ctrl-Alt-F2 gets DPMS Suspend Mode only, and no virtual console.  Switching back to graphical via Ctrl-Alt-F7 does work.  mingetty is running:
# ps ax | grep getty
 2197 tty1     Ss+    0:00 /sbin/mingetty tty1
 2198 tty2     Ss+    0:00 /sbin/mingetty tty2
 3346 pts/0    S+     0:00 grep getty
# 


Version-Release number of selected component (if applicable):
mingetty-1.07-5

How reproducible:
Always

Steps to Reproduce:
1. log in to X11 graphical
2. Ctrl-Alt-F2 to switch to virtual console
3.
  

Actual Results:  Monitor goes to DPMS Suspend Mode, and no virtual text console.  Switching back to graphical via Ctrl-Alt-F7 works.

Expected Results:  Change to virtual text console.

Additional info:

kernel is  2.6.11-1.1282_FC4.

Comment 1 Colin Charles 2005-05-16 12:38:42 UTC
fwiw, I can't repeat this in FC4t3, on similar hardware. This is actually
sitting in fd.o bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=3280

I've posted information of possible "diffs" that original bug reporter can take
a gander with, to see if it will fix the issue or not. 

Comment 2 Olivier Baudron 2005-08-12 22:39:56 UTC
Can you try xorg-x11-6.8.2-45 ?

Comment 3 John Reiser 2005-08-13 00:11:05 UTC
With xorg-x11-6.8.2-45 (which required glibc-2.3.90-8 from yum) I got X11
graphical display at 800x600 with depth 16.  This was after booting to single
user mode, then "telinit 3", then "telinit 5".  I added 1024x768 to the front of
the list, logged out, restarted the Xserver with Ctrl-Alt-Backspace, and got
1024x768.  So, that was success for a while.  However, upon rebooting, the X11
graphical display would not start: "no screens found" in one log file and
"screens found, but none have a usable configuration" in another log file.
Trying to [auto] re-configure the Xserver did not work, and eventually GDM got
shut off.  Rebooting once more failed to bring up X11 graphical display, despite
going through the whole process of reconfiguring.  End result is no X11 graphics
at all, though it was "working" for a while.

Kernel is 2.6.12-1.1398_FC4 (July 15); PowerPC 32 (Macintosh Mini, radeon 9200.)


Comment 4 Olivier Baudron 2005-08-13 06:03:50 UTC
Can you attach /etc/X11/xorg.conf and /var/log/Xorg.0.log ?

Comment 5 John Reiser 2005-08-13 14:22:29 UTC
Created attachment 117705 [details]
/etc/X11/xorg.conf

auto [re-]generated.

Comment 6 John Reiser 2005-08-13 14:23:15 UTC
Created attachment 117706 [details]
/var/log/Xorg.0.log

Comment 7 John Reiser 2005-08-13 14:27:31 UTC
System became unstable: <Enter> at shell prompt got "Segmentation violation". 
Booting single user hangs just after messages about duplicate mknod of
/dev/console, /dev/null, /dev/tty.  I suspect glibc-2.3.90-8.  The previous 2
attachments were obtained by booting from rescue CD-ROM (Ubuntu 5.04 Live),
mounting the Fedora Core root partition, and scp to another machine.

Comment 8 John Reiser 2005-08-13 14:41:31 UTC
Created attachment 117707 [details]
xorg.conf.ubuntu

xorg.conf from Ubuntu 5.04 Live running on same box, booted with "live
video=ofonly".

Comment 9 John Reiser 2005-08-13 14:42:47 UTC
Created attachment 117708 [details]
Xorg.0.log.ubuntu

Xorg.0.log from Ubuntu 5.04 Live running on same box, booted with "live
video=ofonly".

Comment 10 Florian La Roche 2006-05-10 13:57:24 UTC
This does not seem to be a bug report against mingetty, so I am closing this
bug report here. Please reopen against another component if you want to have
a patch applied for some other component.

regards,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.